#include <RTClib.h>

// https://github.com/adafruit/RTClib/blob/master/examples/pcf8523/pcf8523.ino

RTC_PCF8523 rtc;

void setup()
{
    Serial.begin(9600);

    rtc.begin();
    if (!rtc.initialized() || rtc.lostPower())
    {
        Serial.println("RTC is not initialized or lost power, setting time...");
        // When time needs to be set on a new device, or after a power loss, the
        // following line sets the RTC to the date & time this sketch was compiled
        DateTime set_time = DateTime(F(__DATE__), F(__TIME__));
        rtc.adjust(set_time);
        Serial.write(sprintf("RTC datetime set to %s", set_time.toString("MMM-DD-YYYY hh:mm:ss")));
    }
    else
    {
        DateTime now = rtc.now();
        Serial.write(sprintf("RTC time: %s", now.toString("MMM-DD-YYYY hh:mm:ss")));
    }

    // make sure stop bit is cleared and rtc is running
    rtc.start();
}

void loop()
{
    DateTime now = rtc.now();
    Serial.write(sprintf("RTC time: %s", now.toString("MMM-DD-YYYY hh:mm:ss")));
    delay(5000);
}